package net.wanji.opt.dao.mapper.judgeanalysis;

import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDirHour;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface AnalysisProblemCrossDirHourMapper extends BaseMapper<AnalysisProblemCrossDirHour>{
	
	 /**
	  *  查询表t_analysis_problem_cross_dir_hour所有信息
	  */
	 List<AnalysisProblemCrossDirHour> findAllAnalysisProblemCrossDirHour();
	  
	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 AnalysisProblemCrossDirHour findAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);

	/**
	*  根据条件查询表t_analysis_problem_cross_dir_hour信息
	*  @param analysisProblemCrossDirHour
	*/
	List<AnalysisProblemCrossDirHour> findAnalysisProblemCrossDirHourByCondition(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	 /**
	  *  根据主键eventType查询表t_analysis_problem_cross_dir_hour信息
	  *  @param eventType
	  */
	 Integer deleteAnalysisProblemCrossDirHourByeventType(@Param("eventType") String eventType);
	
	 /**
	  *  根据主键eventType更新表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer updateAnalysisProblemCrossDirHourByeventType(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);
	
	 /**
	  *  新增表t_analysis_problem_cross_dir_hour信息
	  *  @param analysisProblemCrossDirHour
	  */
	 Integer addAnalysisProblemCrossDirHour(AnalysisProblemCrossDirHour analysisProblemCrossDirHour);

	List<AnalysisProblemCrossDirHour> selectSingerByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour>selectHappyByProblemTrend(Map<String, Object> Map);

	List<AnalysisProblemCrossDirHour> selectDirectByProblemTrend(Map<String, Object> Map);

}

